 static unsigned char *ChordToMakeCode [] = {
				/*   Thumb | Finger   */
				/*     OMI | 1234     */
				/*     BGR | 1234     */
  /*************/
  /*Letter Mode*/
  /*************/
NULL_SK,				/*     ___ | ____     */
W_Make_SK,				/*     ___ | ___X     */
Y_Make_SK,				/*     ___ | __X_     */
U_Make_SK,				/*     ___ | __XX     */
R_Make_SK,				/*     ___ | _X__     */
ENTER_Make_SK,				/*     ___ | _X_X     */
H_Make_SK,				/*     ___ | _XX_     */
S_Make_SK,				/*     ___ | _XXX     */
I_Make_SK,				/*     ___ | X___     */
B_Make_SK,				/*     ___ | X__X     */
K_Make_SK,				/*     ___ | X_X_     */
Z_Make_SK,				/*     ___ | X_XX     */
D_Make_SK,				/*     ___ | XX__     */
NULL_SK,				/*     ___ | XX_X     */
E_Make_SK,				/*     ___ | XXX_     */
T_Make_SK,				/*     ___ | XXXX     */
NULL_SK,				/*     __X | ____     */ /* NUMBER_MODE */
NULL_SK,				/*     __X | ___X     */ /* FUNCTION_MODE */
ESCAPE_Make_SK,				/*     __X | __X_     */
SEMICOLON_COLON_Make_SK,		/*     __X | __XX     */
COMMA_LEFT_ANGLE_BRACKET_Make_SK,	/*     __X | _X__     */
NULL_SK,				/*     __X | _X_X     */ /* MACRO1_MODE */
PERIOD_RIGHT_ANGLE_BRACKET_Make_SK,	/*     __X | _XX_     */
ALT_Make_SK,				/*     __X | _XXX     */
EXCLIMATION_Make_SK,			/*     __X | X___     */
INSERT_Make_SK,				/*     __X | X__X     */
KEYPAD_MODE_SK,				/*     __X | X_X_     */
CTL_Make_SK,				/*     __X | X_XX     */
PAUSE_Make_SK,				/*     __X | XX__     */
MACRO2_SK,				/*     __X | XX_X     */
APOSTROPHY_DOUBLE_QUOTES_Make_SK,	/*     __X | XXX_     */
NUMBER_MODE_LOCK_SK,			/*     __X | XXXX     */
SPACE_Make_SK,				/*     _X_ | ____     */
F_Make_SK,				/*     _X_ | ___X     */
G_Make_SK,				/*     _X_ | __X_     */
V_Make_SK,				/*     _X_ | __XX     */
C_Make_SK,				/*     _X_ | _X__     */
CAPS_LOCK_Make_SK,			/*     _X_ | _X_X     */
P_Make_SK,				/*     _X_ | _XX_     */
N_Make_SK,				/*     _X_ | _XXX     */
L_Make_SK,				/*     _X_ | X___     */
X_Make_SK,				/*     _X_ | X__X     */
J_Make_SK,				/*     _X_ | X_X_     */
Q_Make_SK,				/*     _X_ | X_XX     */
M_Make_SK,				/*     _X_ | XX__     */
NULL_SK,				/*     _X_ | XX_X     */
A_Make_SK,				/*     _X_ | XXX_     */
O_Make_SK,				/*     _X_ | XXXX     */
SHIFT_Make_SK,				/*     _XX | ____     */
ENTER_Make_SK,				/*     _XX | ___X     */
RIGHT_ARROW_Make_SK,			/*     _XX | __X_     */
DOWN_ARROW_Make_SK,			/*     _XX | __XX     */
BACKSPACE_Make_SK,			/*     _XX | _X__     */
NULL_SK,				/*     _XX | _X_X     */
DELETE_Make_SK,				/*     _XX | _XX_     */
PGDOWN_Make_SK,				/*     _XX | _XXX     */
LEFT_ARROW_Make_SK,			/*     _XX | X___     */
END_Make_SK,				/*     _XX | X__X     */
TAB_Make_SK,				/*     _XX | X_X_     */
HOME_Make_SK,				/*     _XX | X_XX     */
UP_ARROW_Make_SK,			/*     _XX | XX__     */
NULL_SK,				/*     _XX | XX_X     */
PGUP_Make_SK,				/*     _XX | XXX_     */
CAPS_LOCK_Make_SK,			/*     _XX | XXXX     */
SHIFT_Make_SK,				/*     X__ | ____     */
ENTER_Make_SK,				/*     X__ | ___X     */
RIGHT_ARROW_Make_SK,			/*     X__ | __X_     */
DOWN_ARROW_Make_SK,			/*     X__ | __XX     */
BACKSPACE_Make_SK,			/*     X__ | _X__     */
NULL_SK,				/*     X__ | _X_X     */
DELETE_Make_SK,				/*     X__ | _XX_     */
PGDOWN_Make_SK,				/*     X__ | _XXX     */
LEFT_ARROW_Make_SK,			/*     X__ | X___     */
END_Make_SK,				/*     X__ | X__X     */
TAB_Make_SK,				/*     X__ | X_X_     */
HOME_Make_SK,				/*     X__ | X_XX     */
UP_ARROW_Make_SK,			/*     X__ | XX__     */
NULL_SK,				/*     X__ | XX_X     */
PGUP_Make_SK,				/*     X__ | XXX_     */
CAPS_LOCK_Make_SK,			/*     X__ | XXXX     */
SPACE_Make_SK,				/*     X_X | ____     */
F_Make_SK,				/*     X_X | ___X     */
G_Make_SK,				/*     X_X | __X_     */
V_Make_SK,				/*     X_X | __XX     */
C_Make_SK,				/*     X_X | _X__     */
CAPS_LOCK_Make_SK,			/*     X_X | _X_X     */
P_Make_SK,				/*     X_X | _XX_     */
N_Make_SK,				/*     X_X | _XXX     */
L_Make_SK,				/*     X_X | X___     */
X_Make_SK,				/*     X_X | X__X     */
J_Make_SK,				/*     X_X | X_X_     */
Q_Make_SK,				/*     X_X | X_XX     */
M_Make_SK,				/*     X_X | XX__     */
NULL_SK,				/*     X_X | XX_X     */
A_Make_SK,				/*     X_X | XXX_     */
O_Make_SK,				/*     X_X | XXXX     */
NUMBER_MODE_SK,				/*     XX_ | ____     */
FUNCTION_MODE_SK,			/*     XX_ | ___X     */
ESCAPE_Make_SK,				/*     XX_ | __X_     */
SEMICOLON_COLON_Make_SK,		/*     XX_ | __XX     */
COMMA_LEFT_ANGLE_BRACKET_Make_SK,	/*     XX_ | _X__     */
MACRO1_SK,				/*     XX_ | _X_X     */
PERIOD_RIGHT_ANGLE_BRACKET_Make_SK,	/*     XX_ | _XX_     */
ALT_Make_SK,				/*     XX_ | _XXX     */
EXCLIMATION_Make_SK,				/*     XX_ | X___     */
INSERT_Make_SK,				/*     XX_ | X__X     */
KEYPAD_MODE_SK,				/*     XX_ | X_X_     */
CTL_Make_SK,				/*     XX_ | X_XX     */
PAUSE_Make_SK,				/*     XX_ | XX__     */
MACRO2_SK,				/*     XX_ | XX_X     */
APOSTROPHY_DOUBLE_QUOTES_Make_SK,	/*     XX_ | XXX_     */
NUMBER_MODE_LOCK_SK,			/*     XX_ | XXXX     */
RESET_SK,				/*     XXX | ____     */
NULL_SK,				/*     XXX | ___X     */
NULL_SK,				/*     XXX | __X_     */
NULL_SK,				/*     XXX | __XX     */
NULL_SK,				/*     XXX | _X__     */
NULL_SK,				/*     XXX | _X_X     */
NULL_SK,				/*     XXX | _XX_     */
NULL_SK,				/*     XXX | _XXX     */
NULL_SK,				/*     XXX | X___     */
NULL_SK,				/*     XXX | X__X     */
NULL_SK,				/*     XXX | X_X_     */
NULL_SK,				/*     XXX | X_XX     */
NULL_SK,				/*     XXX | XX__     */
NULL_SK,				/*     XXX | XX_X     */
NULL_SK,				/*     XXX | XXX_     */
NULL_SK,				/*     XXX | XXXX     */
  /********************/
  /*Number/Symbol Mode*/
  /********************/
NULL_SK,				/*     ___ | ____     */
FIVE_PERCENT_Make_SK,			/*     ___ | ___X     */
FOUR_DOLLAR_Make_SK,			/*     ___ | __X_     */
QUOTES_Make_SK,				/*     ___ | __XX     */
THREE_POUND_Make_SK,			/*     ___ | _X__     */
ENTER_Make_SK,				/*     ___ | _X_X     */
DOUBLE_ZERO_Make_SK,			/*     ___ | _XX_     */
DASH_UNDERSCORE_Make_SK,		/*     ___ | _XXX     */
TWO_AT_Make_SK,				/*     ___ | X___     */
BACKSLASH_PIPE_Make_SK,			/*     ___ | X__X     */
NULL_SK,				/*     ___ | X_X_     */
LEFT_APOSTROPHY_TILDE_Make_SK,		/*     ___ | X_XX     */
SLASH_QUESTIONMARK_Make_SK,		/*     ___ | XX__     */
NULL_SK,				/*     ___ | XX_X     */
EQUALS_PLUS_Make_SK,			/*     ___ | XXX_     */
TRIPLE_ZERO_Make_SK,			/*     ___ | XXXX     */
SPACE_Make_SK,				/*     __X | ____     */
FUNCTION_MODE_SK,			/*     __X | ___X     */
ESCAPE_Make_SK,				/*     __X | __X_     */
SEMICOLON_COLON_Make_SK,		/*     __X | __XX     */
COMMA_LEFT_ANGLE_BRACKET_Make_SK,	/*     __X | _X__     */
MACRO1_SK,				/*     __X | _X_X     */
PERIOD_RIGHT_ANGLE_BRACKET_Make_SK,	/*     __X | _XX_     */
ALT_Make_SK,				/*     __X | _XXX     */
ONE_EXCLIMATION_Make_SK,				/*     __X | X___     */
INSERT_Make_SK,				/*     __X | X__X     */
KEYPAD_MODE_SK,				/*     __X | X_X_     */
CTL_Make_SK,				/*     __X | X_XX     */
PAUSE_Make_SK,				/*     __X | XX__     */
MACRO2_SK,				/*     __X | XX_X     */
APOSTROPHY_DOUBLE_QUOTES_Make_SK,	/*     __X | XXX_     */
NUMBER_MODE_LOCK_SK,			/*     __X | XXXX     */
ONE_EXCLIMATION_Make_SK,		/*     _X_ | ____     */
NINE_LEFT_CURVED_BRACKET_Make_SK,	/*     _X_ | ___X     */
EIGHT_STAR_Make_SK,			/*     _X_ | __X_     */
RIGHT_SQUARE_BRACKET_RIGHT_SQUIGLY_BRACKET_Make_SK,					/*     _X_ | __XX     */
SEVEN_AMPERSAND_Make_SK,		/*     _X_ | _X__     */
CAPS_LOCK_Make_SK,			/*     _X_ | _X_X     */
PERCENT_Make_SK,			/*     _X_ | _XX_     */
LEFT_SQUARE_BRACKET_LEFT_SQUIGLY_BRACKET_Make_SK,					/*     _X_ | _XXX     */
SIX_CARROT_Make_SK,			/*     _X_ | X___     */
AMPERSAND_Make_SK,			/*     _X_ | X__X     */
PARENS_Make_SK,				/*     _X_ | X_X_     */
QUESTIONMARK_Make_SK,			/*     _X_ | X_XX     */
MULTIPLY_Make_SK,			/*     _X_ | XX__     */
NULL_SK,				/*     _X_ | XX_X     */
ADD_Make_SK,				/*     _X_ | XXX_     */
ZERO_RIGHT_CURVED_BRACKET_Make_SK,	/*     _X_ | XXXX     */
SHIFT_Make_SK,				/*     _XX | ____     */
ENTER_Make_SK,				/*     _XX | ___X     */
RIGHT_ARROW_Make_SK,			/*     _XX | __X_     */
DOWN_ARROW_Make_SK,			/*     _XX | __XX     */
BACKSPACE_Make_SK,			/*     _XX | _X__     */
NULL_SK,				/*     _XX | _X_X     */
DELETE_Make_SK,				/*     _XX | _XX_     */
PGDOWN_Make_SK,				/*     _XX | _XXX     */
LEFT_ARROW_Make_SK,			/*     _XX | X___     */
END_Make_SK,				/*     _XX | X__X     */
TAB_Make_SK,				/*     _XX | X_X_     */
HOME_Make_SK,				/*     _XX | X_XX     */
UP_ARROW_Make_SK,			/*     _XX | XX__     */
NULL_SK,				/*     _XX | XX_X     */
PGUP_Make_SK,				/*     _XX | XXX_     */
CAPS_LOCK_Make_SK,			/*     _XX | XXXX     */
SHIFT_Make_SK,				/*     X__ | ____     */
ENTER_Make_SK,				/*     X__ | ___X     */
RIGHT_ARROW_Make_SK,			/*     X__ | __X_     */
DOWN_ARROW_Make_SK,			/*     X__ | __XX     */
BACKSPACE_Make_SK,			/*     X__ | _X__     */
NULL_SK,				/*     X__ | _X_X     */
DELETE_Make_SK,				/*     X__ | _XX_     */
PGDOWN_Make_SK,				/*     X__ | _XXX     */
LEFT_ARROW_Make_SK,			/*     X__ | X___     */
END_Make_SK,				/*     X__ | X__X     */
TAB_Make_SK,				/*     X__ | X_X_     */
HOME_Make_SK,				/*     X__ | X_XX     */
UP_ARROW_Make_SK,			/*     X__ | XX__     */
NULL_SK,				/*     X__ | XX_X     */
PGUP_Make_SK,				/*     X__ | XXX_     */
CAPS_LOCK_Make_SK,			/*     X__ | XXXX     */
ONE_EXCLIMATION_Make_SK,		/*     X_X | ____     */
NINE_LEFT_CURVED_BRACKET_Make_SK,	/*     X_X | ___X     */
EIGHT_STAR_Make_SK,			/*     X_X | __X_     */
RIGHT_SQUARE_BRACKET_RIGHT_SQUIGLY_BRACKET_Make_SK,					/*     X_X | __XX     */
SEVEN_AMPERSAND_Make_SK,		/*     X_X | _X__     */
CAPS_LOCK_Make_SK,			/*     X_X | _X_X     */
PERCENT_Make_SK,			/*     X_X | _XX_     */
LEFT_SQUARE_BRACKET_LEFT_SQUIGLY_BRACKET_Make_SK,					/*     X_X | _XXX     */
SIX_CARROT_Make_SK,			/*     X_X | X___     */
AMPERSAND_Make_SK,			/*     X_X | X__X     */
PARENS_Make_SK,				/*     X_X | X_X_     */
QUESTIONMARK_Make_SK,			/*     X_X | X_XX     */
MULTIPLY_Make_SK,			/*     X_X | XX__     */
NULL_SK,				/*     X_X | XX_X     */
ADD_Make_SK,				/*     X_X | XXX_     */
ZERO_RIGHT_CURVED_BRACKET_Make_SK,	/*     X_X | XXXX     */
NUMBER_MODE_SK,				/*     XX_ | ____     */
FUNCTION_MODE_SK,			/*     XX_ | ___X     */
ESCAPE_Make_SK,				/*     XX_ | __X_     */
SEMICOLON_COLON_Make_SK,		/*     XX_ | __XX     */
COMMA_LEFT_ANGLE_BRACKET_Make_SK,	/*     XX_ | _X__     */
MACRO1_SK,				/*     XX_ | _X_X     */
PERIOD_RIGHT_ANGLE_BRACKET_Make_SK,	/*     XX_ | _XX_     */
ALT_Make_SK,				/*     XX_ | _XXX     */
EXCLIMATION_Make_SK,				/*     XX_ | X___     */
INSERT_Make_SK,				/*     XX_ | X__X     */
KEYPAD_MODE_SK,				/*     XX_ | X_X_     */
CTL_Make_SK,				/*     XX_ | X_XX     */
PAUSE_Make_SK,				/*     XX_ | XX__     */
MACRO2_SK,				/*     XX_ | XX_X     */
APOSTROPHY_DOUBLE_QUOTES_Make_SK,	/*     XX_ | XXX_     */
NUMBER_MODE_LOCK_SK,			/*     XX_ | XXXX     */
RESET_SK,				/*     XXX | ____     */
NULL_SK,				/*     XXX | ___X     */
NULL_SK,				/*     XXX | __X_     */
NULL_SK,				/*     XXX | __XX     */
NULL_SK,				/*     XXX | _X__     */
NULL_SK,				/*     XXX | _X_X     */
NULL_SK,				/*     XXX | _XX_     */
NULL_SK,				/*     XXX | _XXX     */
NULL_SK,				/*     XXX | X___     */
NULL_SK,				/*     XXX | X__X     */
NULL_SK,				/*     XXX | X_X_     */
NULL_SK,				/*     XXX | X_XX     */
NULL_SK,				/*     XXX | XX__     */
NULL_SK,				/*     XXX | XX_X     */
NULL_SK,				/*     XXX | XXX_     */
NULL_SK,				/*     XXX | XXXX     */
  /********************/
  /*Function Mode     */
  /********************/
NULL_SK,				/*     ___ | ____     */
F5_Make_SK,				/*     ___ | ___X     */
F4_Make_SK,				/*     ___ | __X_     */
NULL_SK,				/*     ___ | __XX     */
F3_Make_SK,				/*     ___ | _X__     */
ENTER_Make_SK,				/*     ___ | _X_X     */
NULL_SK,				/*     ___ | _XX_     */
NULL_SK,				/*     ___ | _XXX     */
F2_Make_SK,				/*     ___ | X___     */
NULL_SK,				/*     ___ | X__X     */
NULL_SK,				/*     ___ | X_X_     */
NULL_SK,				/*     ___ | X_XX     */
NULL_SK,				/*     ___ | XX__     */
NULL_SK,				/*     ___ | XX_X     */
NULL_SK,				/*     ___ | XXX_     */
NULL_SK,				/*     ___ | XXXX     */
NUMBER_MODE_SK,				/*     __X | ____     */
FUNCTION_MODE_SK,			/*     __X | ___X     */
ESCAPE_Make_SK,				/*     __X | __X_     */
SEMICOLON_COLON_Make_SK,		/*     __X | __XX     */
COMMA_LEFT_ANGLE_BRACKET_Make_SK,	/*     __X | _X__     */
MACRO1_SK,				/*     __X | _X_X     */
PERIOD_RIGHT_ANGLE_BRACKET_Make_SK,	/*     __X | _XX_     */
ALT_Make_SK,				/*     __X | _XXX     */
EXCLIMATION_Make_SK,			/*     __X | X___     */
INSERT_Make_SK,				/*     __X | X__X     */
KEYPAD_MODE_SK,				/*     __X | X_X_     */
CTL_Make_SK,				/*     __X | X_XX     */
PAUSE_Make_SK,				/*     __X | XX__     */
MACRO2_SK,				/*     __X | XX_X     */
APOSTROPHY_DOUBLE_QUOTES_Make_SK,	/*     __X | XXX_     */
NUMBER_MODE_LOCK_SK,			/*     __X | XXXX     */
F1_Make_SK,				/*     _X_ | ____     */
F9_Make_SK,				/*     _X_ | ___X     */
F8_Make_SK,				/*     _X_ | __X_     */
F12_Make_SK,				/*     _X_ | __XX     */
F7_Make_SK,				/*     _X_ | _X__     */
CAPS_LOCK_Make_SK,			/*     _X_ | _X_X     */
F11_Make_SK,				/*     _X_ | _XX_     */
NULL_SK,				/*     _X_ | _XXX     */
F6_Make_SK,				/*     _X_ | X___     */
NULL_SK,				/*     _X_ | X__X     */
NULL_SK,				/*     _X_ | X_X_     */
NULL_SK,				/*     _X_ | X_XX     */
F10_Make_SK,				/*     _X_ | XX__     */
NULL_SK,				/*     _X_ | XX_X     */
NULL_SK,				/*     _X_ | XXX_     */
NULL_SK,				/*     _X_ | XXXX     */
SHIFT_Make_SK,				/*     _XX | ____     */
ENTER_Make_SK,				/*     _XX | ___X     */
RIGHT_ARROW_Make_SK,			/*     _XX | __X_     */
DOWN_ARROW_Make_SK,			/*     _XX | __XX     */
BACKSPACE_Make_SK,			/*     _XX | _X__     */
NULL_SK,				/*     _XX | _X_X     */
DELETE_Make_SK,				/*     _XX | _XX_     */
PGDOWN_Make_SK,				/*     _XX | _XXX     */
LEFT_ARROW_Make_SK,			/*     _XX | X___     */
END_Make_SK,				/*     _XX | X__X     */
TAB_Make_SK,				/*     _XX | X_X_     */
HOME_Make_SK,				/*     _XX | X_XX     */
UP_ARROW_Make_SK,			/*     _XX | XX__     */
NULL_SK,				/*     _XX | XX_X     */
PGUP_Make_SK,				/*     _XX | XXX_     */
CAPS_LOCK_Make_SK,			/*     _XX | XXXX     */
SHIFT_Make_SK,				/*     X__ | ____     */
ENTER_Make_SK,				/*     X__ | ___X     */
RIGHT_ARROW_Make_SK,			/*     X__ | __X_     */
DOWN_ARROW_Make_SK,			/*     X__ | __XX     */
BACKSPACE_Make_SK,			/*     X__ | _X__     */
NULL_SK,				/*     X__ | _X_X     */
DELETE_Make_SK,				/*     X__ | _XX_     */
PGDOWN_Make_SK,				/*     X__ | _XXX     */
LEFT_ARROW_Make_SK,			/*     X__ | X___     */
END_Make_SK,				/*     X__ | X__X     */
TAB_Make_SK,				/*     X__ | X_X_     */
HOME_Make_SK,				/*     X__ | X_XX     */
UP_ARROW_Make_SK,			/*     X__ | XX__     */
NULL_SK,				/*     X__ | XX_X     */
PGUP_Make_SK,				/*     X__ | XXX_     */
CAPS_LOCK_Make_SK,			/*     X__ | XXXX     */
F1_Make_SK,				/*     X_X | ____     */
F9_Make_SK,				/*     X_X | ___X     */
F8_Make_SK,				/*     X_X | __X_     */
F12_Make_SK,				/*     X_X | __XX     */
F7_Make_SK,				/*     X_X | _X__     */
CAPS_LOCK_Make_SK,			/*     X_X | _X_X     */
F11_Make_SK,				/*     X_X | _XX_     */
NULL_SK,				/*     X_X | _XXX     */
F6_Make_SK,				/*     X_X | X___     */
NULL_SK,				/*     X_X | X__X     */
NULL_SK,				/*     X_X | X_X_     */
NULL_SK,				/*     X_X | X_XX     */
F10_Make_SK,				/*     X_X | XX__     */
NULL_SK,				/*     X_X | XX_X     */
NULL_SK,				/*     X_X | XXX_     */
NULL_SK,				/*     X_X | XXXX     */
NUMBER_MODE_SK,				/*     XX_ | ____     */
FUNCTION_MODE_SK,			/*     XX_ | ___X     */
ESCAPE_Make_SK,				/*     XX_ | __X_     */
SEMICOLON_COLON_Make_SK,		/*     XX_ | __XX     */
COMMA_LEFT_ANGLE_BRACKET_Make_SK,	/*     XX_ | _X__     */
MACRO1_SK,				/*     XX_ | _X_X     */
PERIOD_RIGHT_ANGLE_BRACKET_Make_SK,	/*     XX_ | _XX_     */
ALT_Make_SK,				/*     XX_ | _XXX     */
EXCLIMATION_Make_SK,			/*     XX_ | X___     */
INSERT_Make_SK,				/*     XX_ | X__X     */
KEYPAD_MODE_SK,				/*     XX_ | X_X_     */
CTL_Make_SK,				/*     XX_ | X_XX     */
PAUSE_Make_SK,				/*     XX_ | XX__     */
MACRO2_SK,				/*     XX_ | XX_X     */
APOSTROPHY_DOUBLE_QUOTES_Make_SK,	/*     XX_ | XXX_     */
NUMBER_MODE_LOCK_SK,			/*     XX_ | XXXX     */
RESET_SK,				/*     XXX | ____     */
NULL_SK,				/*     XXX | ___X     */
NULL_SK,				/*     XXX | __X_     */
NULL_SK,				/*     XXX | __XX     */
NULL_SK,				/*     XXX | _X__     */
NULL_SK,				/*     XXX | _X_X     */
NULL_SK,				/*     XXX | _XX_     */
NULL_SK,				/*     XXX | _XXX     */
NULL_SK,				/*     XXX | X___     */
NULL_SK,				/*     XXX | X__X     */
NULL_SK,				/*     XXX | X_X_     */
NULL_SK,				/*     XXX | X_XX     */
NULL_SK,				/*     XXX | XX__     */
NULL_SK,				/*     XXX | XX_X     */
NULL_SK,				/*     XXX | XXX_     */
NULL_SK					/*     XXX | XXXX     */
};

static unsigned char *ChordToBreakCode [] = {
					/*   Thumb | Finger   */
					/*     OMI | 1234     */
					/*     BGR | 1234     */
  /*************/
  /*Letter Mode*/
  /*************/
NULL_SK,				/*     ___ | ____     */
W_Break_SK,				/*     ___ | ___X     */
Y_Break_SK,				/*     ___ | __X_     */
U_Break_SK,				/*     ___ | __XX     */
R_Break_SK,				/*     ___ | _X__     */
ENTER_Break_SK,				/*     ___ | _X_X     */
H_Break_SK,				/*     ___ | _XX_     */
S_Break_SK,				/*     ___ | _XXX     */
I_Break_SK,				/*     ___ | X___     */
B_Break_SK,				/*     ___ | X__X     */
K_Break_SK,				/*     ___ | X_X_     */
Z_Break_SK,				/*     ___ | X_XX     */
D_Break_SK,				/*     ___ | XX__     */
NULL_SK,				/*     ___ | XX_X     */
E_Break_SK,				/*     ___ | XXX_     */
T_Break_SK,				/*     ___ | XXXX     */
NULL_SK,				/*     __X | ____     */ /* NUMBER_MODE */
NULL_SK,				/*     __X | ___X     */ /* FUNCTION_MODE */
ESCAPE_Break_SK,			/*     __X | __X_     */
SEMICOLON_COLON_Break_SK,		/*     __X | __XX     */
COMMA_LEFT_ANGLE_BRACKET_Break_SK,	/*     __X | _X__     */
NULL_SK,				/*     __X | _X_X     */ /* MACRO1_MODE */
PERIOD_RIGHT_ANGLE_BRACKET_Break_SK,	/*     __X | _XX_     */
ALT_Break_SK,				/*     __X | _XXX     */
EXCLIMATION_Break_SK,				/*     __X | X___     */
INSERT_Break_SK,			/*     __X | X__X     */
KEYPAD_MODE_SK,				/*     __X | X_X_     */
CTL_Break_SK,				/*     __X | X_XX     */
PAUSE_Break_SK,				/*     __X | XX__     */
MACRO2_SK,				/*     __X | XX_X     */
APOSTROPHY_DOUBLE_QUOTES_Break_SK,	/*     __X | XXX_     */
NUMBER_MODE_LOCK_SK,			/*     __X | XXXX     */
SPACE_Break_SK,				/*     _X_ | ____     */
F_Break_SK,				/*     _X_ | ___X     */
G_Break_SK,				/*     _X_ | __X_     */
V_Break_SK,				/*     _X_ | __XX     */
C_Break_SK,				/*     _X_ | _X__     */
CAPS_LOCK_Break_SK,			/*     _X_ | _X_X     */
P_Break_SK,				/*     _X_ | _XX_     */
N_Break_SK,				/*     _X_ | _XXX     */
L_Break_SK,				/*     _X_ | X___     */
X_Break_SK,				/*     _X_ | X__X     */
J_Break_SK,				/*     _X_ | X_X_     */
Q_Break_SK,				/*     _X_ | X_XX     */
M_Break_SK,				/*     _X_ | XX__     */
NULL_SK,				/*     _X_ | XX_X     */
A_Break_SK,				/*     _X_ | XXX_     */
O_Break_SK,				/*     _X_ | XXXX     */
SHIFT_Break_SK,				/*     _XX | ____     */
ENTER_Break_SK,				/*     _XX | ___X     */
RIGHT_ARROW_Break_SK,			/*     _XX | __X_     */
DOWN_ARROW_Break_SK,			/*     _XX | __XX     */
BACKSPACE_Break_SK,			/*     _XX | _X__     */
NULL_SK,				/*     _XX | _X_X     */
DELETE_Break_SK,			/*     _XX | _XX_     */
PGDOWN_Break_SK,			/*     _XX | _XXX     */
LEFT_ARROW_Break_SK,			/*     _XX | X___     */
END_Break_SK,				/*     _XX | X__X     */
TAB_Break_SK,				/*     _XX | X_X_     */
HOME_Break_SK,				/*     _XX | X_XX     */
UP_ARROW_Break_SK,			/*     _XX | XX__     */
NULL_SK,				/*     _XX | XX_X     */
PGUP_Break_SK,				/*     _XX | XXX_     */
CAPS_LOCK_Break_SK,			/*     _XX | XXXX     */
SHIFT_Break_SK,				/*     X__ | ____     */
ENTER_Break_SK,				/*     X__ | ___X     */
RIGHT_ARROW_Break_SK,			/*     X__ | __X_     */
DOWN_ARROW_Break_SK,			/*     X__ | __XX     */
BACKSPACE_Break_SK,			/*     X__ | _X__     */
NULL_SK,				/*     X__ | _X_X     */
DELETE_Break_SK,			/*     X__ | _XX_     */
PGDOWN_Break_SK,			/*     X__ | _XXX     */
LEFT_ARROW_Break_SK,			/*     X__ | X___     */
END_Break_SK,				/*     X__ | X__X     */
TAB_Break_SK,				/*     X__ | X_X_     */
HOME_Break_SK,				/*     X__ | X_XX     */
UP_ARROW_Break_SK,			/*     X__ | XX__     */
NULL_SK,				/*     X__ | XX_X     */
PGUP_Break_SK,				/*     X__ | XXX_     */
CAPS_LOCK_Break_SK,			/*     X__ | XXXX     */
SPACE_Break_SK,				/*     X_X | ____     */
F_Break_SK,				/*     X_X | ___X     */
G_Break_SK,				/*     X_X | __X_     */
V_Break_SK,				/*     X_X | __XX     */
C_Break_SK,				/*     X_X | _X__     */
CAPS_LOCK_Break_SK,			/*     X_X | _X_X     */
P_Break_SK,				/*     X_X | _XX_     */
N_Break_SK,				/*     X_X | _XXX     */
L_Break_SK,				/*     X_X | X___     */
X_Break_SK,				/*     X_X | X__X     */
J_Break_SK,				/*     X_X | X_X_     */
Q_Break_SK,				/*     X_X | X_XX     */
M_Break_SK,				/*     X_X | XX__     */
NULL_SK,				/*     X_X | XX_X     */
A_Break_SK,				/*     X_X | XXX_     */
O_Break_SK,				/*     X_X | XXXX     */
NUMBER_MODE_SK,				/*     XX_ | ____     */
FUNCTION_MODE_SK,			/*     XX_ | ___X     */
ESCAPE_Break_SK,			/*     XX_ | __X_     */
SEMICOLON_COLON_Break_SK,		/*     XX_ | __XX     */
COMMA_LEFT_ANGLE_BRACKET_Break_SK,	/*     XX_ | _X__     */
MACRO1_SK,				/*     XX_ | _X_X     */
PERIOD_RIGHT_ANGLE_BRACKET_Break_SK,	/*     XX_ | _XX_     */
ALT_Break_SK,				/*     XX_ | _XXX     */
EXCLIMATION_Break_SK,				/*     XX_ | X___     */
INSERT_Break_SK,			/*     XX_ | X__X     */
KEYPAD_MODE_SK,				/*     XX_ | X_X_     */
CTL_Break_SK,				/*     XX_ | X_XX     */
PAUSE_Break_SK,				/*     XX_ | XX__     */
MACRO2_SK,				/*     XX_ | XX_X     */
APOSTROPHY_DOUBLE_QUOTES_Break_SK,	/*     XX_ | XXX_     */
NUMBER_MODE_LOCK_SK,			/*     XX_ | XXXX     */
RESET_SK,				/*     XXX | ____     */
NULL_SK,				/*     XXX | ___X     */
NULL_SK,				/*     XXX | __X_     */
NULL_SK,				/*     XXX | __XX     */
NULL_SK,				/*     XXX | _X__     */
NULL_SK,				/*     XXX | _X_X     */
NULL_SK,				/*     XXX | _XX_     */
NULL_SK,				/*     XXX | _XXX     */
NULL_SK,				/*     XXX | X___     */
NULL_SK,				/*     XXX | X__X     */
NULL_SK,				/*     XXX | X_X_     */
NULL_SK,				/*     XXX | X_XX     */
NULL_SK,				/*     XXX | XX__     */
NULL_SK,				/*     XXX | XX_X     */
NULL_SK,				/*     XXX | XXX_     */
NULL_SK,				/*     XXX | XXXX     */
  /********************/
  /*Number/Symbol Mode*/
  /********************/
NULL_SK,				/*     ___ | ____     */
FIVE_PERCENT_Break_SK,			/*     ___ | ___X     */
FOUR_DOLLAR_Break_SK,			/*     ___ | __X_     */
QUOTES_Break_SK,			/*     ___ | __XX     */
THREE_POUND_Break_SK,			/*     ___ | _X__     */
ENTER_Break_SK,				/*     ___ | _X_X     */
DOUBLE_ZERO_Break_SK,			/*     ___ | _XX_     */
DASH_UNDERSCORE_Break_SK,		/*     ___ | _XXX     */
TWO_AT_Break_SK,			/*     ___ | X___     */
BACKSLASH_PIPE_Break_SK,		/*     ___ | X__X     */
NULL_SK,				/*     ___ | X_X_     */
LEFT_APOSTROPHY_TILDE_Break_SK,		/*     ___ | X_XX     */
SLASH_QUESTIONMARK_Break_SK,		/*     ___ | XX__     */
NULL_SK,				/*     ___ | XX_X     */
EQUALS_PLUS_Break_SK,			/*     ___ | XXX_     */
TRIPLE_ZERO_Break_SK,			/*     ___ | XXXX     */
SPACE_Break_SK,				/*     __X | ____     */
FUNCTION_MODE_SK,			/*     __X | ___X     */
ESCAPE_Break_SK,			/*     __X | __X_     */
SEMICOLON_COLON_Break_SK,		/*     __X | __XX     */
COMMA_LEFT_ANGLE_BRACKET_Break_SK,	/*     __X | _X__     */
MACRO1_SK,				/*     __X | _X_X     */
PERIOD_RIGHT_ANGLE_BRACKET_Break_SK,	/*     __X | _XX_     */
ALT_Break_SK,				/*     __X | _XXX     */
EXCLIMATION_Break_SK,				/*     __X | X___     */
INSERT_Break_SK,			/*     __X | X__X     */
KEYPAD_MODE_SK,				/*     __X | X_X_     */
CTL_Break_SK,				/*     __X | X_XX     */
PAUSE_Break_SK,				/*     __X | XX__     */
MACRO2_SK,				/*     __X | XX_X     */
APOSTROPHY_DOUBLE_QUOTES_Break_SK,	/*     __X | XXX_     */
NUMBER_MODE_LOCK_SK,			/*     __X | XXXX     */
ONE_EXCLIMATION_Break_SK,		/*     _X_ | ____     */
NINE_LEFT_CURVED_BRACKET_Break_SK,	/*     _X_ | ___X     */
EIGHT_STAR_Break_SK,			/*     _X_ | __X_     */
RIGHT_SQUARE_BRACKET_RIGHT_SQUIGLY_BRACKET_Break_SK,					/*     _X_ | __XX     */
SEVEN_AMPERSAND_Break_SK,		/*     _X_ | _X__     */
CAPS_LOCK_Break_SK,			/*     _X_ | _X_X     */
PERCENT_Break_SK,			/*     _X_ | _XX_     */
LEFT_SQUARE_BRACKET_LEFT_SQUIGLY_BRACKET_Break_SK,					/*     _X_ | _XXX     */
SIX_CARROT_Break_SK,			/*     _X_ | X___     */
AMPERSAND_Break_SK,			/*     _X_ | X__X     */
PARENS_Break_SK,			/*     _X_ | X_X_     */
QUESTIONMARK_Break_SK,			/*     _X_ | X_XX     */
MULTIPLY_Break_SK,			/*     _X_ | XX__     */
NULL_SK,				/*     _X_ | XX_X     */
ADD_Break_SK,				/*     _X_ | XXX_     */
ZERO_RIGHT_CURVED_BRACKET_Break_SK,	/*     _X_ | XXXX     */
SHIFT_Break_SK,				/*     _XX | ____     */
ENTER_Break_SK,				/*     _XX | ___X     */
RIGHT_ARROW_Break_SK,			/*     _XX | __X_     */
DOWN_ARROW_Break_SK,			/*     _XX | __XX     */
BACKSPACE_Break_SK,			/*     _XX | _X__     */
NULL_SK,				/*     _XX | _X_X     */
DELETE_Break_SK,			/*     _XX | _XX_     */
PGDOWN_Break_SK,			/*     _XX | _XXX     */
LEFT_ARROW_Break_SK,			/*     _XX | X___     */
END_Break_SK,				/*     _XX | X__X     */
TAB_Break_SK,				/*     _XX | X_X_     */
HOME_Break_SK,				/*     _XX | X_XX     */
UP_ARROW_Break_SK,			/*     _XX | XX__     */
NULL_SK,				/*     _XX | XX_X     */
PGUP_Break_SK,				/*     _XX | XXX_     */
CAPS_LOCK_Break_SK,			/*     _XX | XXXX     */
SHIFT_Break_SK,				/*     X__ | ____     */
ENTER_Break_SK,				/*     X__ | ___X     */
RIGHT_ARROW_Break_SK,			/*     X__ | __X_     */
DOWN_ARROW_Break_SK,			/*     X__ | __XX     */
BACKSPACE_Break_SK,			/*     X__ | _X__     */
NULL_SK,				/*     X__ | _X_X     */
DELETE_Break_SK,			/*     X__ | _XX_     */
PGDOWN_Break_SK,			/*     X__ | _XXX     */
LEFT_ARROW_Break_SK,			/*     X__ | X___     */
END_Break_SK,				/*     X__ | X__X     */
TAB_Break_SK,				/*     X__ | X_X_     */
HOME_Break_SK,				/*     X__ | X_XX     */
UP_ARROW_Break_SK,			/*     X__ | XX__     */
NULL_SK,				/*     X__ | XX_X     */
PGUP_Break_SK,				/*     X__ | XXX_     */
CAPS_LOCK_Break_SK,			/*     X__ | XXXX     */
ONE_EXCLIMATION_Break_SK,		/*     X_X | ____     */
NINE_LEFT_CURVED_BRACKET_Break_SK,	/*     X_X | ___X     */
EIGHT_STAR_Break_SK,			/*     X_X | __X_     */
RIGHT_SQUARE_BRACKET_RIGHT_SQUIGLY_BRACKET_Break_SK,					/*     X_X | __XX     */
SEVEN_AMPERSAND_Break_SK,		/*     X_X | _X__     */
CAPS_LOCK_Break_SK,			/*     X_X | _X_X     */
PERCENT_Break_SK,			/*     X_X | _XX_     */
LEFT_SQUARE_BRACKET_LEFT_SQUIGLY_BRACKET_Break_SK,					/*     X_X | _XXX     */
SIX_CARROT_Break_SK,			/*     X_X | X___     */
AMPERSAND_Break_SK,			/*     X_X | X__X     */
PARENS_Break_SK,			/*     X_X | X_X_     */
QUESTIONMARK_Break_SK,			/*     X_X | X_XX     */
MULTIPLY_Break_SK,			/*     X_X | XX__     */
NULL_SK,				/*     X_X | XX_X     */
ADD_Break_SK,				/*     X_X | XXX_     */
ZERO_RIGHT_CURVED_BRACKET_Break_SK,	/*     X_X | XXXX     */
NUMBER_MODE_SK,				/*     XX_ | ____     */
FUNCTION_MODE_SK,			/*     XX_ | ___X     */
ESCAPE_Break_SK,			/*     XX_ | __X_     */
SEMICOLON_COLON_Break_SK,		/*     XX_ | __XX     */
COMMA_LEFT_ANGLE_BRACKET_Break_SK,	/*     XX_ | _X__     */
MACRO1_SK,				/*     XX_ | _X_X     */
PERIOD_RIGHT_ANGLE_BRACKET_Break_SK,	/*     XX_ | _XX_     */
ALT_Break_SK,				/*     XX_ | _XXX     */
EXCLIMATION_Break_SK,				/*     XX_ | X___     */
INSERT_Break_SK,			/*     XX_ | X__X     */
KEYPAD_MODE_SK,				/*     XX_ | X_X_     */
CTL_Break_SK,				/*     XX_ | X_XX     */
PAUSE_Break_SK,				/*     XX_ | XX__     */
MACRO2_SK,				/*     XX_ | XX_X     */
APOSTROPHY_DOUBLE_QUOTES_Break_SK,	/*     XX_ | XXX_     */
NUMBER_MODE_LOCK_SK,			/*     XX_ | XXXX     */
RESET_SK,				/*     XXX | ____     */
NULL_SK,				/*     XXX | ___X     */
NULL_SK,				/*     XXX | __X_     */
NULL_SK,				/*     XXX | __XX     */
NULL_SK,				/*     XXX | _X__     */
NULL_SK,				/*     XXX | _X_X     */
NULL_SK,				/*     XXX | _XX_     */
NULL_SK,				/*     XXX | _XXX     */
NULL_SK,				/*     XXX | X___     */
NULL_SK,				/*     XXX | X__X     */
NULL_SK,				/*     XXX | X_X_     */
NULL_SK,				/*     XXX | X_XX     */
NULL_SK,				/*     XXX | XX__     */
NULL_SK,				/*     XXX | XX_X     */
NULL_SK,				/*     XXX | XXX_     */
NULL_SK,				/*     XXX | XXXX     */
  /********************/
  /*Function Mode     */
  /********************/
NULL_SK,				/*     ___ | ____     */
F5_Break_SK,				/*     ___ | ___X     */
F4_Break_SK,				/*     ___ | __X_     */
NULL_SK,				/*     ___ | __XX     */
F3_Break_SK,				/*     ___ | _X__     */
ENTER_Break_SK,				/*     ___ | _X_X     */
NULL_SK,				/*     ___ | _XX_     */
NULL_SK,				/*     ___ | _XXX     */
F2_Break_SK,				/*     ___ | X___     */
NULL_SK,				/*     ___ | X__X     */
NULL_SK,				/*     ___ | X_X_     */
NULL_SK,				/*     ___ | X_XX     */
NULL_SK,				/*     ___ | XX__     */
NULL_SK,				/*     ___ | XX_X     */
NULL_SK,				/*     ___ | XXX_     */
NULL_SK,				/*     ___ | XXXX     */
NUMBER_MODE_SK,				/*     __X | ____     */
FUNCTION_MODE_SK,			/*     __X | ___X     */
ESCAPE_Break_SK,			/*     __X | __X_     */
SEMICOLON_COLON_Break_SK,		/*     __X | __XX     */
COMMA_LEFT_ANGLE_BRACKET_Break_SK,	/*     __X | _X__     */
MACRO1_SK,				/*     __X | _X_X     */
PERIOD_RIGHT_ANGLE_BRACKET_Break_SK,	/*     __X | _XX_     */
ALT_Break_SK,				/*     __X | _XXX     */
EXCLIMATION_Break_SK,			/*     __X | X___     */
INSERT_Break_SK,			/*     __X | X__X     */
KEYPAD_MODE_SK,				/*     __X | X_X_     */
CTL_Break_SK,				/*     __X | X_XX     */
PAUSE_Break_SK,				/*     __X | XX__     */
MACRO2_SK,				/*     __X | XX_X     */
APOSTROPHY_DOUBLE_QUOTES_Break_SK,	/*     __X | XXX_     */
NUMBER_MODE_LOCK_SK,			/*     __X | XXXX     */
F1_Break_SK,				/*     _X_ | ____     */
F9_Break_SK,				/*     _X_ | ___X     */
F8_Break_SK,				/*     _X_ | __X_     */
F12_Break_SK,				/*     _X_ | __XX     */
F7_Break_SK,				/*     _X_ | _X__     */
CAPS_LOCK_Break_SK,			/*     _X_ | _X_X     */
F11_Break_SK,				/*     _X_ | _XX_     */
NULL_SK,				/*     _X_ | _XXX     */
F6_Break_SK,				/*     _X_ | X___     */
NULL_SK,				/*     _X_ | X__X     */
NULL_SK,				/*     _X_ | X_X_     */
NULL_SK,				/*     _X_ | X_XX     */
F10_Break_SK,				/*     _X_ | XX__     */
NULL_SK,				/*     _X_ | XX_X     */
NULL_SK,				/*     _X_ | XXX_     */
NULL_SK,				/*     _X_ | XXXX     */
SHIFT_Break_SK,				/*     _XX | ____     */
ENTER_Break_SK,				/*     _XX | ___X     */
RIGHT_ARROW_Break_SK,			/*     _XX | __X_     */
DOWN_ARROW_Break_SK,			/*     _XX | __XX     */
BACKSPACE_Break_SK,			/*     _XX | _X__     */
NULL_SK,				/*     _XX | _X_X     */
DELETE_Break_SK,			/*     _XX | _XX_     */
PGDOWN_Break_SK,			/*     _XX | _XXX     */
LEFT_ARROW_Break_SK,			/*     _XX | X___     */
END_Break_SK,				/*     _XX | X__X     */
TAB_Break_SK,				/*     _XX | X_X_     */
HOME_Break_SK,				/*     _XX | X_XX     */
UP_ARROW_Break_SK,			/*     _XX | XX__     */
NULL_SK,				/*     _XX | XX_X     */
PGUP_Break_SK,				/*     _XX | XXX_     */
CAPS_LOCK_Break_SK,			/*     _XX | XXXX     */
SHIFT_Break_SK,				/*     X__ | ____     */
ENTER_Break_SK,				/*     X__ | ___X     */
RIGHT_ARROW_Break_SK,			/*     X__ | __X_     */
DOWN_ARROW_Break_SK,			/*     X__ | __XX     */
BACKSPACE_Break_SK,			/*     X__ | _X__     */
NULL_SK,				/*     X__ | _X_X     */
DELETE_Break_SK,			/*     X__ | _XX_     */
PGDOWN_Break_SK,			/*     X__ | _XXX     */
LEFT_ARROW_Break_SK,			/*     X__ | X___     */
END_Break_SK,				/*     X__ | X__X     */
TAB_Break_SK,				/*     X__ | X_X_     */
HOME_Break_SK,				/*     X__ | X_XX     */
UP_ARROW_Break_SK,			/*     X__ | XX__     */
NULL_SK,				/*     X__ | XX_X     */
PGUP_Break_SK,				/*     X__ | XXX_     */
CAPS_LOCK_Break_SK,			/*     X__ | XXXX     */
F1_Break_SK,				/*     X_X | ____     */
F9_Break_SK,				/*     X_X | ___X     */
F8_Break_SK,				/*     X_X | __X_     */
F12_Break_SK,				/*     X_X | __XX     */
F7_Break_SK,				/*     X_X | _X__     */
CAPS_LOCK_Break_SK,			/*     X_X | _X_X     */
F11_Break_SK,				/*     X_X | _XX_     */
NULL_SK,				/*     X_X | _XXX     */
F6_Break_SK,				/*     X_X | X___     */
NULL_SK,				/*     X_X | X__X     */
NULL_SK,				/*     X_X | X_X_     */
NULL_SK,				/*     X_X | X_XX     */
F10_Break_SK,				/*     X_X | XX__     */
NULL_SK,				/*     X_X | XX_X     */
NULL_SK,				/*     X_X | XXX_     */
NULL_SK,				/*     X_X | XXXX     */
NUMBER_MODE_SK,				/*     XX_ | ____     */
FUNCTION_MODE_SK,			/*     XX_ | ___X     */
ESCAPE_Break_SK,			/*     XX_ | __X_     */
SEMICOLON_COLON_Break_SK,		/*     XX_ | __XX     */
COMMA_LEFT_ANGLE_BRACKET_Break_SK,	/*     XX_ | _X__     */
MACRO1_SK,				/*     XX_ | _X_X     */
PERIOD_RIGHT_ANGLE_BRACKET_Break_SK,	/*     XX_ | _XX_     */
ALT_Break_SK,				/*     XX_ | _XXX     */
EXCLIMATION_Break_SK,			/*     XX_ | X___     */
INSERT_Break_SK,			/*     XX_ | X__X     */
KEYPAD_MODE_SK,				/*     XX_ | X_X_     */
CTL_Break_SK,				/*     XX_ | X_XX     */
PAUSE_Break_SK,				/*     XX_ | XX__     */
MACRO2_SK,				/*     XX_ | XX_X     */
APOSTROPHY_DOUBLE_QUOTES_Break_SK,	/*     XX_ | XXX_     */
NUMBER_MODE_LOCK_SK,			/*     XX_ | XXXX     */
RESET_SK,				/*     XXX | ____     */
NULL_SK,				/*     XXX | ___X     */
NULL_SK,				/*     XXX | __X_     */
NULL_SK,				/*     XXX | __XX     */
NULL_SK,				/*     XXX | _X__     */
NULL_SK,				/*     XXX | _X_X     */
NULL_SK,				/*     XXX | _XX_     */
NULL_SK,				/*     XXX | _XXX     */
NULL_SK,				/*     XXX | X___     */
NULL_SK,				/*     XXX | X__X     */
NULL_SK,				/*     XXX | X_X_     */
NULL_SK,				/*     XXX | X_XX     */
NULL_SK,				/*     XXX | XX__     */
NULL_SK,				/*     XXX | XX_X     */
NULL_SK,				/*     XXX | XXX_     */
NULL_SK					/*     XXX | XXXX     */
};






